v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/recon/shipments/{shipmentId}/received
Updates shipment as received for destruction. Rights: OrsInventoryPost and either OrsBlinded or OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
shipmentId(required): string(uuid)
ID of the shipment.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest object containing shipment received for destruction details.
Show Source
-
confirmReceiptPerKit(required): boolean
Indicates whether receipt confirmation is per kit.Example:
true -
partialUpdate: boolean
Indicates whether kits are updated partially.Example:
true -
receivedKits: array
receivedKits
Nested Schema : receivedKits
Type:
Show Source
array-
Array of:
object ReconShipmentKitTO
Title:
ReconShipmentKitTORequest payload to update reconciliation shipment kit details.
Nested Schema : ReconShipmentKitTO
Type:
objectTitle:
ReconShipmentKitTORequest payload to update reconciliation shipment kit details.
Show Source
-
depotReturnedUnits(required): number
(double)
Title:
Depot Returned UnitsMinimum Value:0Units returned to depot.Example:5 -
id(required): string
(uuid)
Title:
Inventory IDInventory IDExample:00000000-0000-0000-0000-000000000001
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
string(uuid)400 Response
Invalid kit OR Invalid order status.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object403 Response
User doesn't have access to the depot.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Study not found OR Invalid shipment.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object